# Interface SkyMultiPointCoordSet

All Superinterfaces:
  `MultiPointCoordSet`

All Known Implementing Classes:
  `SkyCorrelationCoordSet, SkyEllipseCoordSet, SkyVectorCoordSet`

public interface SkyMultiPointCoordSet extends MultiPointCoordSet
MultiPointCoordSet sub-interface for coordinates on the sky.

Since:
  8 Feb 2023
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`readPoints(Tuple tuple, int icExtra, double[] dpos0, double unitInDegrees, SkyDataGeom geom, double[][] dposExtras)`
Reads the non-central points from a appropriate span of columns in a supplied tuple.
`double`
`readSize(Tuple tuple, int icExtra, double[] dpos0)`
Returns the characteristic size of the multi-point structure represented by a supplied tuple.

### Methods inherited from interface MultiPointCoordSet

`getCoords, getPointCount`

## Method Details

### readPoints

boolean readPoints(Tuple tuple, int icExtra, double[] dpos0, double unitInDegrees, SkyDataGeom geom, double[][] dposExtras)
Reads the non-central points from a appropriate span of columns in a supplied tuple.

The central data position must be supplied as input. The `icExtra` value gives the column corresponding to the first coord of this coordinate set in the sequence; the following few columns are assumed to correspond 1:1 to the coords in this coord set.

Parameters:
  `tuple` - tuple
  `icExtra` - index of tuple field corresponding to the first of the coordinates in this set
  `dpos0` - nDataDim-element array giving central data position
  `unitInDegrees` - unit in degrees of the size-defining tuple values
  `geom` - converter between tuple values and data space coordinates
  `dposExtras` - [nPointCount][nDataDim]-shaped array into which the non-central data positions will be written
Returns:
  true iff the conversion was successful

### readSize

double readSize(Tuple tuple, int icExtra, double[] dpos0)
Returns the characteristic size of the multi-point structure represented by a supplied tuple. The returned value is a measure of linear extent on the tangent plane of the multi-point data contained in the tuple, in the same units as the size-defining parts of the input.

Parameters:
  `tuple` - tuple
  `icExtra` - index of tuple field corresponding to the first of the coordinates in this set
  `dpos0` - nDataDim-element array giving central data position
Returns:
  linear extent of multi-point shape on the tangent plane